include:
  - project: 'phong.dang1/pipeline-library'
    file: 'templates/main.yml'

stages:
  - initial
  - build
  - deploy
  - notify


variables:
  ANSIBLE_HOST: "creditManager"
  ANSIBLE_GROUP: "vodds"


setup:
  extends:
    - .config.env
    - .rules.generals


build_project:
  extends:
    - .gradle5.publish.deploy
    - .rules.build.publish.general
  dependencies:
    - setup


deploy_to_dev:
  extends:
    - .deploy.backend
    - .rules.deploy.dev
  dependencies:
    - setup
    - build_project
      

deploy_to_myTest:
  extends:
    - .deploy.backend
    - .rules.deploy.myTest
  dependencies:
    - setup
    - build_project


deploy_to_stag:
  extends:
    - .deploy.backend
    - .rules.deploy.stag
  dependencies:
    - setup
    - build_project


deploy_to_prod:
  extends:
    - .deploy.backend
    - .rules.deploy.prod
  dependencies:
    - setup
    - build_project


notify_slack_when_success:
  extends:
    - .notify_when_success

notify_slack_when_fail:
  extends:
    - .notify_when_fail
